## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream removed tests.
%bcond_with     tests

%global         srcname     azure-mgmt-cosmosdb

Name:           python-%{srcname}
Version:        9.5.1
Release:        %autorelease
Summary:        Microsoft Azure Cosmos DB Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Cosmos DB Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Jul 10 2024 Jeremy Cline <jeremycline@microsoft.com> - 9.5.1-1
- Update to v9.5.1

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 9.4.0-2
- Rebuilt for Python 3.13

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 9.4.0-1
- Update to 9.4.0 rhbz#2253123

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 9.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 9.3.0-1
- Update to 9.3.0 rhbz#2249655

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 9.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 9.2.0-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Major Hayden <major@redhat.com> - 9.2.0-1
- Update to 9.2.0 rhbz#2209184

* Mon May 08 2023 Major Hayden <major@redhat.com> - 9.0.0-2
- S

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 9.0.0-1
- Update to 9.0.0 rhbz#2176124

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 14 2022 Major Hayden <major@redhat.com> - 8.0.0-1
- Update to 8.0.0

* Wed Sep 07 2022 Major Hayden <major@redhat.com> - 7.0.0-1
- Update to 7.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0~b6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Major Hayden <major@redhat.com> - 7.0.0~b6-1
- Update to 7.0.0b6

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 7.0.0~b2-5
- Add tests

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 7.0.0~b2-4
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 7.0.0~b2-3
- Trivial spec file update

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0~b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 7.0.0~b2-1
- Update to 7.0.0b2

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 6.4.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 6.4.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> - 6.4.0-1
- Update to 6.4.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 6.3.0-1
- Initial import (#1971795)
## END: Generated by rpmautospec
